<?php ob_start();?>
<style>
#openFile{
	display:none;
}
</style>
<?php
$title = 'Добавить категорию';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
admin(3);
$_GET['id'] = abs(intval($_GET['id']));
if(empty($_GET['id'])){
	$_GET['id'] = 0;
}

?>
<div class="container theme-showcase" role="main">
	<div class="page-header">
		<h1>Создание раздела</h1>
	</div>
	<div class="row">
		<?if(isset($_POST['ok'])){
			$_POST['name'] = input($_POST['name']);
			if(!file_exists($_FILES['file']['tmp_name'])){?>
				<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Прикрепите изображение!</div>
			<?}elseif(empty($_POST['name'])){?>
				<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Введите название!</div>
			<?}else{
				$types = explode(',', 'png,jpg,jpeg,bmp,ico,JPG');
				$upfiletype = substr($_FILES['file']['name'], strrpos($_FILES['file']['name'], ".") + 1);
				if($_FILES['file']['size'] > (1048576 * 5)){
					?>
					<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Размер выгружаемого файла, не должен превышать 5 мб!</div>
					<?
				}elseif(!in_array($upfiletype, $types)){
					?>
					<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Файл такого типа выгружать запрещено!</div>
					<?
				}else{
					$db->query("INSERT INTO `categories` SET `name`='".$_POST['name']."', `podkat`=".$_GET['id']."");
					$last = $db->insert_id;
					copy($_FILES['file']['tmp_name'], $_SERVER["DOCUMENT_ROOT"].'/files/images/categories/'.$last.'.jpg');
					header('location:/categories/'.$_GET['id']);
				}
			}
		}?>
		<form action="" method="POST" enctype="multipart/form-data">
			<label for="inputName">Название</label>
			<input type="text" class="form-control" placeholder="Введите название раздела" rows="5" name="name" id="inputName">
			<br>
			<input type="file" name="file" id="openFile" accept="image/*,image/jpeg">
			<label for="openFile"><small class="btn btn-default btn-xs"><i class="glyphicon glyphicon-camera"></i> Прикрепить изображение</small></label>
			<br>
			<button type="submit" class="btn btn-primary" name="ok">Добавить</button>
		</form>
	</div>
</div>
<?php
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>